<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.equipmanage.mapper.SupervisionVideoMapper">

    <select id="getVideoByCompany" resultType="com.yeejoin.equipmanage.common.entity.vo.AlamVideoVO">
        select
            wv.id,
            wv.token,
            wv.name as name,
            wv.url,
            wv.code,
            wv.video_type as videoType,
            wv.preset_position as presetPosition
        from wl_supervision_video wsv left join wl_video  wv on wsv.camera_id = wv.id
        where wsv.biz_org_code like concat(#{bizOrgCode},'%') AND wv.id IS NOT NULL;
    </select>

    <select id="queryVideoAllId" resultType="java.lang.String">
        select wsv.camera_id
        from wl_supervision_video wsv
        where wsv.biz_org_code like concat(#{bizOrgCode},'%');
    </select>
</mapper>
